Subject: Re: [PATCH] Allow drivers to map individual 4k pages to userspace

From: Roland Dreier <[email-masked]>
Date: Tue, 03 Apr 2007 21:07:12 -0700

> It's somewhat architected. I doubt there will ever be a processor that
 > can have an eHCA and doesn't support that trick. The thing is, eHCA is
 > platform specific, so the remap_4k_pfn would have to be called by driver
 > specific code, but that's not a problem since that driver will only ever
 > be used on those platforms that support that call.

If I'm going off on something irrelevant, just tell me.  But is there
a chance that you would want to build a kernel that can boot on both a
platform that has eHCA, and also on some other platform that cannot
support remap_4k_pfn?  If so does this approach cause problems?

 - R.